Authorize Quickbooks
curl --request GET \
--url https://api.klavis.ai/oauth/quickbooks/authorizeimport requests
url = "https://api.klavis.ai/oauth/quickbooks/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/quickbooks/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/quickbooks/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}OAuth Servers
Authorize Quickbooks
Start QuickBooks OAuth flow
Parameters:
- instance_id: Identifier for the instance requesting authorization
- client_id: Optional client ID for white labeling
- environment: QuickBooks environment to authorize (‘sandbox’ default)
- scope: Optional scopes to request (space-separated). Default is ‘com.intuit.quickbooks.accounting’
- redirect_url: Optional URL to redirect to after authorization completes
GET
/
oauth
/
quickbooks
/
authorize
Authorize Quickbooks
curl --request GET \
--url https://api.klavis.ai/oauth/quickbooks/authorizeimport requests
url = "https://api.klavis.ai/oauth/quickbooks/authorize"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/quickbooks/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.klavis.ai/oauth/quickbooks/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Unique identifier for the client instance requesting authorization
Client ID for white labeling, if not provided will use default credentials
QuickBooks environment to authorize ('sandbox' or 'production')
Available options:
sandbox, production Optional OAuth scopes to request (space-separated string)
Optional URL to redirect to after authorization completes
Response
Successful Response
